Webhooks
These API endpoints are related to webhooks on Omniplex
Gets a list of webhooks of a specific entity (excluding the secret due to security concerns). Requires the Get Webhooks permission
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
target_type*stringThe entity type to return webhooks for.
target_id*stringThe target ID to return webhooks for
Success
application/json- response
[index: integer]?curl -X GET 'https://spider.omniplex.gg/string/string/webhooks'[ { "broken": true, "created_at": "2019-08-24T14:15:22Z", "event_whitelist": [ "string" ], "failed_requests": 0, "hmac_auth": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "simple_auth": true, "target_id": "string", "target_type": "string", "url": "string" }]Creates a new webhook for an entity. Returns 204 on success. Requires Create Webhooks permission
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
target_type*stringThe target type of the tntity
target_id*stringThe target ID of the entity
application/json- body
event_whitelist?array<>The events that are whitelisted for this webhook. Note that if unset, all events are whitelisted.
hmac_auth?booleanRecommended auth mode: plain JSON body, signed with HMAC-SHA256 in the X-Webhook-Signature header (same shape as GitHub/Stripe webhooks).
name?stringThe name of the webhook.
secret?stringThe secret of the webhook, only needed for custom (non-discord) webhooks
simple_auth?booleanLegacy simple auth: plain JSON body, raw secret in the Authorization header. Prefer hmac_auth for new webhooks. Ignored if hmac_auth is set.
url?stringThe URL of the webhook.
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X POST 'https://spider.omniplex.gg/string/string/webhooks' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Updates an existing webhook on an entity. Returns 204 on success. Requires Edit Webhooks permission
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
webhook_id*stringThe ID of the webhook to update
application/json- body
event_whitelist?array<>The events that are whitelisted for this webhook. Note that if unset, all events are whitelisted.
hmac_auth?booleanRecommended auth mode: plain JSON body, signed with HMAC-SHA256 in the X-Webhook-Signature header (same shape as GitHub/Stripe webhooks).
name?stringThe name of the webhook.
secret?stringThe secret of the webhook, only needed for custom (non-discord) webhooks
simple_auth?booleanLegacy simple auth: plain JSON body, raw secret in the Authorization header. Prefer hmac_auth for new webhooks. Ignored if hmac_auth is set.
url?stringThe URL of the webhook.
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X POST 'https://spider.omniplex.gg/string/string/webhooks/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Updates an existing webhook on an entity. Returns 204 on success. Requires Edit Webhooks permission
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
webhook_id*stringThe ID of the webhook to delete
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X DELETE 'https://spider.omniplex.gg/string/string/webhooks/string'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Gets webhook logs of a specific entity. Paginated to 10 at a time. Requires authentication
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
page?stringThe page number
Success
application/json- response
count?integer0 <= value <= 18446744073709552000per_page?integer0 <= value <= 18446744073709552000results?array<>curl -X GET 'https://spider.omniplex.gg/string/string/webhooks/logs'{ "count": 0, "per_page": 0, "results": [ { "bad_intent": true, "created_at": "2019-08-24T14:15:22Z", "data": { "property1": null, "property2": null }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_try": "2019-08-24T14:15:22Z", "request_headers": { "property1": null, "property2": null }, "response": "string", "response_headers": { "property1": null, "property2": null }, "state": "string", "status_code": 0, "target_id": "string", "target_type": "string", "tries": 0, "url": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "webhook_id": "a47606a1-5b39-4a81-9480-c2cb738ff675" } ]}Responds with the metadata of all webhooks that can currently be tested. Note that this does not require any specific permission
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
event*stringThe event that is being posted
Success
application/json- response
data?array<>The types of webhooks to test.
curl -X GET 'https://spider.omniplex.gg/string/string/webhooks/test?event=string'{ "data": [ { "type": "string" } ]}Sends a test webhook.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
event*stringThe event that is being posted
application/json- body
[key: string]?unknownSuccess
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X POST 'https://spider.omniplex.gg/string/string/webhooks/test?event=string' \ -H 'Content-Type: application/json' \ -d '{ "property1": null, "property2": null}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}This webhook is sent when a user delete their review on an entity.
application/json- body
creator?The user who created the action/event (e.g voted for the bot or made a review)
data?unknownThe data of the webhook event
metadata?Metadata about the webhook event
targets?The target of the webhook, can be one of. or a possible combination of bot, team and server
type?stringThe type of the webhook event
This webhook is sent when a user edits an existing review on an entity.
application/json- body
creator?The user who created the action/event (e.g voted for the bot or made a review)
data?unknownThe data of the webhook event
metadata?Metadata about the webhook event
targets?The target of the webhook, can be one of. or a possible combination of bot, team and server
type?stringThe type of the webhook event
This webhook is sent when a user creates a new review on an entity.
application/json- body
creator?The user who created the action/event (e.g voted for the bot or made a review)
data?unknownThe data of the webhook event
metadata?Metadata about the webhook event
targets?The target of the webhook, can be one of. or a possible combination of bot, team and server
type?stringThe type of the webhook event
This webhook is sent when a user votes for an entity.
application/json- body
creator?The user who created the action/event (e.g voted for the bot or made a review)
data?unknownThe data of the webhook event
metadata?Metadata about the webhook event
targets?The target of the webhook, can be one of. or a possible combination of bot, team and server
type?stringThe type of the webhook event
This webhook is sent when a user edits the basic settings of a team (name/short/tags) is changed.
application/json- body
creator?The user who created the action/event (e.g voted for the bot or made a review)
data?unknownThe data of the webhook event
metadata?Metadata about the webhook event
targets?The target of the webhook, can be one of. or a possible combination of bot, team and server
type?stringThe type of the webhook event